﻿using System.IO;
using System.Net;

namespace YouTubeUserUploads
{
    static class WebActions
    {
        public static string ExecuteGETRequest(string url)
        {
            var request = WebRequest.Create(url) as HttpWebRequest;
            try
            {
                using (var response = request.GetResponse() as HttpWebResponse)
                {
                    // Get the response stream  
                    var reader = new StreamReader(response.GetResponseStream());

                    // Console application output  
                    return reader.ReadToEnd();
                }
            }
            catch
            {
                return null;
            }
        }
    }
}
