﻿using System.Runtime.Serialization;

namespace YouTubeUserUploads
{
    [DataContract]
    class GDFeedLinkResponseRepresentation
    {
        [DataMember(Name = "rel")]
        public string Rel { get; set; }

        [DataMember(Name = "href")]
        public string Href { get; set; }

        [DataMember(Name = "countHint")]
        public string CountHint { get; set; }
    }

    [DataContract]
    class EntryResponseRepresentation
    {
        [DataMember(Name="id")]
        public ID ID { get; set; }

        [DataMember(Name = "gd$feedLink")]
        public GDFeedLinkResponseRepresentation[] FeedLink { get; set; }
    }

    [DataContract]
    class ID
    {
        [DataMember(Name = "$t")]
        public string T { get; set; }
    }

    [DataContract]
    class UserInfoResponseRepresentation
    {
        [DataMember(Name = "entry")]
        public EntryResponseRepresentation Entry { get; set; }
    }

    [DataContract]
    class FeedResponseRepresentation
    {
        [DataMember(Name = "entry")]
        public EntryResponseRepresentation[] Entry { get; set; }
    }

    [DataContract]
    class UserUploadsResponseRepresentation
    {
        [DataMember(Name = "feed")]
        public FeedResponseRepresentation Feed { get; set; }
    }
}
