﻿using System;

namespace YouTubeUserUploads
{
    class UrlBuilder
    {
        private const string BASE_URL = "https://gdata.youtube.com/feeds/api/";

        public static string UserUploadsURL(string username, int startIndex = 1, int maxResults = 50)
        {
            return BASE_URL + String.Format("users/{0}/uploads?start-index={1}&max-results={2}&alt=json", username, startIndex, maxResults);
        }

        public static string UserInfo(string username)
        {
            return BASE_URL + String.Format("users/{0}?alt=json", username);
        }
    }
}
